# Things You Should Know

Before contributing to Pyrsia, you should know a few things. From completing a contributor license agreement to understanding the different levels of participation, the below information will help you get started.

## Sign the CLA

If you would like to contribute code, documentation content, blogs or graphics, you will need to complete the [Contributor License Agreement](https://cla-assistant.io/pyrsia/pyrsia.github.io).

If your organization would like to become a contributing organization, please have the appropriate individual complete the [Contributor License Agreement](https://cla-assistant.io/pyrsia/pyrsia.github.io). We welcome organizations of any size to be part of solving the supply chain gaps and encourage you to get your organization involved.

## Read the Code of Conduct

Just like all open source communities, Pyrsia has a 'Code of Conduct'. Please make sure to read and observe the [Code of Conduct and Community Values](https://github.com/pyrsia/.github/blob/main/code-of-conduct.md).

## Understand Submittal Reviews

All submissions, from code to content, will require a review. Where possible, GitHub pull requests will be used for this purpose. Consult [GitHub Help](https://help.github.com/articles/about-pull-requests/) for more information on using pull requests. For more details, check out our [Contributing Guidelines](https://pyrsia.io/docs/get_involved/contributing/).

## Learn the Community Expectations and Roles

Pyrsia is a community project. Consequently, it is wholly dependent on its community to provide a productive, friendly and collaborative environment. Our contributors fit into 3 basic categories: Community, Member, and Maintainer.

- **Community Contributors:**
Community Contributors are the heartbeat of the Pyrsia Community. Their main tasks include: adopting Pyrsia, finding bugs, opening tickets, sharing helpful comments with others, sharing blogs, and providing feedback. Your involvement at this level drives the Pyrsia road map.

- **Member Contributors:**
Those interested in a deeper level of involvement should become Member Contributors, which we consider Pyrsia’s most influential. Member Contributors assign themselves support tickets and review pull requests. In addition, they share use cases, provide feedback for potential feature enhancements, and engage in social networking about Pyrsia. Member Contributors attend the General Community Meetings to stay up to date with the progress of Pyrsia.

- **Maintainer Contributors:**
Maintainer Contributors attend meetings on a frequent regular basis, stepping up to work on key development tasks. Those are the activities that can qualify you as a Maintainer Contributor. Maintainer Contributors complete a large part of the work that needs to be done to keep the Pyrsia project relevant to the broader community. Maintainer Contributors are individuals who have developed a higher level of expertise and are thus qualified to provide final approval of pull requests. In addition, they develop product enhancements, create documentation, and make online videos and tutorial content.

- **Chairs:**
Chairs provide additional project management support, distribute issues to beginners, and manage meetings and recordings. Chairs must attend most meetings and help new contributors be successful.

We encourage you to participate at the level of your choice.
